<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
AddReference3 Method (IEdmEnumeratorCustomReference7)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorCustomReference7 Interface : AddReference3 Method (IEdmEnumeratorCustomReference7)

Visual Basic
C#
C++/CLI

lFileID
  ID of referenced file

lFolderID
  ID of parent folder of referenced file

lQuantity
  Number of times the referenced file is referenced

bShowInBOM
  True to show this file reference in the BOM, false to not

Adds a custom file reference to this file.

# Syntax

Visual Basic |
--- | ---

    Sub AddReference3( _
       ByVal lFileID As System.Integer, _
       ByVal lFolderID As System.Integer, _
       ByVal lQuantity As System.Integer, _
       Optional ByVal bShowInBOM As System.Boolean _
    )

C# |
--- | ---

    void AddReference3(
       System.int lFileID,
       System.int lFolderID,
       System.int lQuantity,
       System.bool bShowInBOM
    )

C++/CLI |
--- | ---

    void AddReference3(
    &   System.int lFileID,
    &   System.int lFolderID,
    &   System.int lQuantity,
    &   System.bool bShowInBOM
    )

#### Parameters

lFileID
  ID of referenced file
lFolderID
  ID of parent folder of referenced file
lQuantity
  Number of times the referenced file is referenced
bShowInBOM
  True to show this file reference in the BOM, false to not

# Example

See the IEdmEnumeratorCustomReference7 examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_FILE_NOT_LOCKED_BY_YOU: File is not checked out.

# See Also

####

IEdmEnumeratorCustomReference7 Interface
IEdmEnumeratorCustomReference7 Members

# Availability

SOLIDWORKS PDM Professional 2017